Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.model
Interface OlapItem

All Known Implementing Classes:
  XMLA_OlapItem

    public interface OlapItem

An Olap Item is a DWH meta object, eg. dimension, level, member

Field Summary
`static int` | `TYPE_CATALOG`
`static int` | `TYPE_CUBE`
`static int` | `TYPE_DIMENSION`
`static int` | `TYPE_HIERARCHY`
`static int` | `TYPE_LEVEL`
`static int` | `TYPE_MEMBER`
`static int` | `TYPE_PROPERTY`

Method Summary
`java.lang.String` | `getCaption()`
`java.lang.String` | `getLabel()` Label is the string to be externally displayed
`java.lang.String` | `getName()`
`java.util.Map` | `getProperties()` any OlapItem contains a map of properties, key and value of type String
`java.lang.String` | `getProperty(java.lang.String propName)`
`int` | `getType()`
`java.lang.String` | `getUniqueName()`

Field Detail

### TYPE_CATALOG

    static final int TYPE_CATALOG

See Also:
  Constant Field Values

### TYPE_CUBE

    static final int TYPE_CUBE

See Also:
  Constant Field Values

### TYPE_DIMENSION

    static final int TYPE_DIMENSION

See Also:
  Constant Field Values

### TYPE_HIERARCHY

    static final int TYPE_HIERARCHY

See Also:
  Constant Field Values

### TYPE_LEVEL

    static final int TYPE_LEVEL

See Also:
  Constant Field Values

### TYPE_MEMBER

    static final int TYPE_MEMBER

See Also:
  Constant Field Values

### TYPE_PROPERTY

    static final int TYPE_PROPERTY

See Also:
  Constant Field Values

Method Detail

### getType

    int getType()

  Returns:
    type of item

### getLabel

    java.lang.String getLabel()

  Label is the string to be externally displayed

  Returns:
    label

### getUniqueName

    java.lang.String getUniqueName()

  Returns:
    the unique name

### getCaption

    java.lang.String getCaption()

  Returns:
    caption (can be null)

### getName

    java.lang.String getName()

  Returns:
    name

### getProperty

    java.lang.String getProperty(java.lang.String propName)

  Parameters:
    `propName` - name of the property to be retrieved
  Returns:

### getProperties

    java.util.Map getProperties()

  any OlapItem contains a map of properties, key and value of type String

  Returns:
    properties property map

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD